%define apxs    %{_sbindir}/apxs

%define real_name mod_geoip

Summary:        Apache version 2.2.X GeoIP module
Name:		mod_geoip_ap22
Version:	1.2.8
Release:	1
Group:		System Environment/Daemons
License:	ASL 1.1
URL:		http://www.maxmind.com/app/mod_geoip
Source0:	http://www.maxmind.com/download/geoip/api/mod_geoip2/mod_geoip2_%{version}.tar.gz
Source1:	%{real_name}.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  apr-devel >= 1.4.6-2
BuildRequires:  apr-util-devel >= 1.3.10-3
BuildRequires:  httpd-devel >= 2.2.27-2
BuildRequires:  httpd-devel < 2.3
BuildRequires:	GeoIP-devel >= 1.4.8-1
PreReq:         apr >= 1.4.6-2
PreReq:         apr-util >= 1.3.10-3
PreReq:         httpd >= 2.2.27-2
PreReq:         httpd < 2.3
PreReq:		GeoIP >= 1.4.8-1

Provides:       %{real_name}


%description
mod_geoip is an Apache module to look up geolocation information for a
client as part of the HTTP request process. It uses the GeoIP library
and database to perform the lookup. It is free software, licensed under
the Apache license.


%prep
%setup -q -n geoip-api-mod_geoip2-%{version}


%build
# compile apache httpd-2.2 version
%{apxs} -Wc,"-qcpluscmt" -Wl,"-lGeoIP" -c %{real_name}.c


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules

cp .libs/%{real_name}.so ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules/
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules/*

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra
chmod 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/*


%preun
if [ "$1" = 0 ]; then
    cat %{_sysconfdir}/httpd/conf/httpd.conf | \
      grep -v "# mod_geoip settings" | \
      grep -v "Include conf/extra/mod_geoip.conf" \
      > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
    mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
    echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"
fi


%post
cat %{_sysconfdir}/httpd/conf/httpd.conf | \
  grep -v "# mod_geoipsettings" | \
  grep -v "Include conf/extra/mod_geoip.conf" \
  > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
echo "# mod_evasive settings" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Include conf/extra/mod_geoip.conf" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc INSTALL README* Changes
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/*.conf
%{_libdir}/httpd/modules/*


%changelog
* Fri Nov 14 2014 Michael Perzl <michael@perzl.org> - 1.2.8-1
- updated to version 1.2.8

* Fri Nov 14 2014 Michael Perzl <michael@perzl.org> - 1.2.7-1
- first version for AIX V5.1 and higher
